## Accessing the report creation wizard via URL

Page reports and web reports use different URL entries and parameters for connecting to their own report creation wizards.

### Accessing the page report wizard via URL

URL entry: /dhtmljsp/newreport.jsp

Parameters:

- jrs.catalog
  Description: The catalog name with full path.
- FromServer
  Description: Optional. The value is true and it cannot be changed.
- Authentication parameters: jrs.authorization, jrs.auth_uid, and jrs.auth_pwd
  Description: Optional.
- jrs.ds_name
  Description: Optional. The data source name in the specified catalog. If the data source is given (not null), only the business views in the data source will be shown.
- jrs.query_name
  Description: Optional. The query name in the specified catalog. If the query name is given (not null), the step of selecting business views in the report wizard will be skipped and will not be shown as a step. The business view based on the query will be used, and the jrs.cube_name property should be ignored.
- jrs.cube_name
  Description: Optional. The business view name in the specified catalog, that is the Name property value of the business view in the Catalog Browser of JReport Designer. If the business view name is given (not null), the step of selecting business views in the report wizard will be skipped and will not be shown as a step. If there are some business views with the same name, one of them will be used.
- jrs.param$
  Description: Optional.
- jrs.param_page
  Description: Optional. Value: true/false. Default value: true. It controls whether to show the parameter dialog for specifying parameter values that are not provided by jrs.param$ in the URL. Such parameter dialogs include the one displayed during report running and those brought by actions that lead to the change of parameters after the report is rendered in Page Report Studio, for example, the actions such as inserting a formula with a new parameter, running a master/detail report, and so on. However, the dialog displayed via Menu > Report > Change Parameters is not affected by this property, because the dialog is to display all the parameters of the report. When it is true and the value of a middle level cascading parameter (including old style cascading parameter) is provided, the parameter dialog only shows the lower level parameters. When it is false, no involved parameter dialog will pop up during the whole report running. The given parameter values and the default values of the other parameters will be used to run the report.

Examples:

- `http://localhost:8888/dhtmljsp/newreport.jsp?FromServer=true&jrs.catalog=/SampleReports/SampleReports.cat`
- `http://localhost:8888/dhtmljsp/newreport.jsp?FromServer=true&jrs.catalog=%2fSampleReports%2fSampleReports.cat`

You will then be directed to the New Page Report dialog which leads you to create a page report in the specified catalog.

### Accessing the web report wizard via URL

URL entry: webos/app/webstudio/run.jsp?jrd_wizard=1&

All the parameters are encapsulated as JSON (JavaScript Object Notation) objects:

- jrd_catalog={
  "name":"xxx", // The catalog name with full path.
  "ver":"-1", // Optional. The catalog version. -1 means the latest version. Default value is "-1".
  "real":"false", // Optional. If you use absolute resource path, you need to add the property "real":"true" for the path. Default value is "false".
  "dsName":"xxx", // Optional. The data source name in the catalog. If the data source is given (not null), only the business views in this data source are shown in the report wizard.
  "QueryName":"xxx", // Optional. The query name in the catalog. If the query name is given (not null), the selecting business view drop-down list in the report wizard will be disabled. The business view based on the query will be used, and the BVName property below should be ignored.
  "BVName":"xxx", // Optional. The business view name in the catalog, that is the display name in the Catalog Browser of JReport Designer. If the business view name is given (not null), the selecting business view drop-down list in the report wizard will be disabled. If there are some business views with the same name, one of them will be used.
  "param_page":"true" // Optional. Value: true/false. Default value: true. It controls whether to show the parameter dialog displayed during report running for specifying parameter values that are not provided by jrd.param$ in the URL. The parameter panel in Web Report Studio is not affected by this property, because the dialog is to display all the parameters of the report. When it is true and the value of a middle level cascading parameter (including old style cascading parameter) is provided, the parameter dialog only shows the lower level parameters. When it is false, no parameter dialog will pop up and the given parameter values and the default values of the other parameters will be used to run the report.
  }

- jrd_param$={ // Optional.
  "p1":"v1", // p1 is parameter name, and v1 is p1's value.
  "p2":["v1","v2","v3"] // For multiple values.
  }
- Authentication parameters: jrs.authorization, jrs.auth_uid, and jrs.auth_pwd // Optional.

Examples:

- `http://localhost:8888/webos/app/webstudio/run.jsp?jrd_wizard=1&jrd_catalog={"name":"/SampleReports/SampleReports.cat","ver":"-1"}`
- Real path example: `http://localhost:8888/webos/app/webstudio/run.jsp?jrd_wizard=1&jrd_catalog={"name":"E:\\JReport\\Server\\jreports\\SampleReports\\SampleReports.cat","real":"true"}`